import { VerifyRepository } from '../repository/verify/VerifyRepository';
import { VerifyManager } from './VerifyManager';
import OfferSearch from '../repository/models/OfferSearch';
import Account from '../repository/models/Account';
export declare class VerifyManagerImpl implements VerifyManager {
    private verifyRepository;
    constructor(verifyRepository: VerifyRepository);
    getOfferSearchesByIds(ids: number[]): Promise<OfferSearch[]>;
    getAccountsByPublicKeys(publicKeys: string[]): Promise<Account[]>;
}
